> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Add workbook schedule

POST https://api.sigmacomputing.com/v2/workbooks/{workbookId}/schedules
Content-Type: application/json

Add a schedule to a workbook to export data from the workbook on a periodic basis.

  ### Usage notes
  - Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
  - Retrieve relevant IDs based on the export contents and destination:

    - To export to one or more Sigma users, retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
    - To export to one or more Sigma teams, retrieve the **teamId** by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoint.
  - Retrieve the **pageId** by calling the [/v2/workbooks/{workbookId}/pages](https://help.sigmacomputing.com/reference/list-workbook-pages) endpoint.
  - Retrieve the **elementId** by first calling the [/v2/workbooks/{workbookId}/pages](https://help.sigmacomputing.com/reference/list-workbook-pages) endpoint, then calling the [/v2/workbooks/{workbookId}/pages/{pageId}/elements](https://help.sigmacomputing.com/reference/list-workbook-page-elements) endpoint.
    

Reference: https://help.sigmacomputing.com/reference/post-workbook-schedule

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/workbooks/{workbookId}/schedules:
    post:
      operationId: postWorkbookSchedule
      summary: Add workbook schedule
      description: >-
        Add a schedule to a workbook to export data from the workbook on a
        periodic basis.

          ### Usage notes
          - Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
          - Retrieve relevant IDs based on the export contents and destination:

            - To export to one or more Sigma users, retrieve the **memberId** by calling the [/v2/members](https://help.sigmacomputing.com/reference/list-members) endpoint.
            - To export to one or more Sigma teams, retrieve the **teamId** by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoint.
          - Retrieve the **pageId** by calling the [/v2/workbooks/{workbookId}/pages](https://help.sigmacomputing.com/reference/list-workbook-pages) endpoint.
          - Retrieve the **elementId** by first calling the [/v2/workbooks/{workbookId}/pages](https://help.sigmacomputing.com/reference/list-workbook-pages) endpoint, then calling the [/v2/workbooks/{workbookId}/pages/{pageId}/elements](https://help.sigmacomputing.com/reference/list-workbook-page-elements) endpoint.
            
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/workbooks_postWorkbookSchedule_Response_200
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaTargetItems
                  description: One or more targets to send the workbook to.
                schedule:
                  $ref: >-
                    #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaSchedule
                  description: When to send the workbook export.
                configV2:
                  $ref: >-
                    #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2
                  description: Configuration settings for the export schedule.
                config:
                  $ref: >-
                    #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfig
                  description: '**[Deprecated]** Configuration settings for the export.'
                description:
                  type:
                    - string
                    - 'null'
                  description: Description of the scheduled export
                ownerId:
                  type: string
                  description: ID of the user (member) to own the export.
              required:
                - target
                - schedule
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaTargetItems:
      type: object
      properties:
        teamId:
          type: string
          description: Unique identifier of the team to export to
        email:
          type: string
          description: Email address to export to
        ccEmail:
          type: string
          description: Email address to add as a Cc recipient
        bccEmail:
          type: string
          description: Email address to add as a Bcc recipient
        ccTeamId:
          type: string
          description: Unique identifier of the team to add as a Cc recipient
        bccTeamId:
          type: string
          description: Unique identifier of the team to add as a Bcc recipient
        slackConversationId:
          type: string
          description: Slack channel ID or member ID to export to
        googleSpreadsheetUrl:
          type: string
          description: URL of the Google Sheet to export to
        googleDriveFolderUrl:
          type: string
          description: URL of the Google Drive folder to export to
        webhookUrl:
          type: string
          description: URL of the webhook endpoint to export to
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaTargetItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaSchedule:
      type: object
      properties:
        cronSpec:
          type: string
          description: >-
            A [cron expression](https://en.wikipedia.org/wiki/Cron). For
            example, `0 0 * * *`.
        timezone:
          type: string
          description: >-
            An [IANA timezone
            name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones).
            For example, `America/Los_Angeles`.
      required:
        - cronSpec
        - timezone
      description: When to send the workbook export.
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaSchedule
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf0Type:
      type: string
      enum:
        - CSV
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf0Type
      required:
        - type
      description: CSV export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf1Type:
      type: string
      enum:
        - JSONL
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf1Type
      required:
        - type
      description: JSONL export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf2Type:
      type: string
      enum:
        - JSON
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf2Type
      required:
        - type
      description: JSON export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf3Type:
      type: string
      enum:
        - XLSX
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf3Type
      required:
        - type
      description: XLSX export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions3
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Type:
      type: string
      enum:
        - PDF
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Layout:
      type: string
      enum:
        - portrait
        - landscape
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Layout
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Type
        layout:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf4Layout
      required:
        - type
      description: PDF export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions4
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf5Type:
      type: string
      enum:
        - PNG
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf5Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf5Type
      required:
        - type
      description: PNG export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions5
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf6Type:
      type: string
      enum:
        - NONE
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf6Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptionsOneOf6Type
      required:
        - type
      description: No export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions6
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions2
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions3
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions4
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions5
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions6
      description: Export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf0Type:
      type: string
      enum:
        - element
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf0Type
        elementIds:
          type: array
          items:
            type: string
          description: Array of element identifiers to export
      required:
        - type
        - elementIds
      description: Export multiple elements
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf1Type:
      type: string
      enum:
        - page
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf1Type
        pageIds:
          type: array
          items:
            type: string
          description: Array of page identifiers to export
      required:
        - type
        - pageIds
      description: Export multiple pages
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf2Type:
      type: string
      enum:
        - all
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSourceOneOf2Type
      required:
        - type
      description: Export all content
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource2
      description: Workbook export source options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItems:
      type: object
      properties:
        formatOptions:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions
          description: Export format options
        workbookExportSource:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource
          description: Workbook export source options
      required:
        - formatOptions
        - workbookExportSource
      description: Export attachment
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2AttachmentSettings:
      type: object
      properties:
        mergeAttachments:
          type: boolean
          description: Combines multiple PDF or XLSX attachments into a single file
        zipAttachments:
          type: boolean
          description: Send attachments as a .zip file
      description: Export attachment settings
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2AttachmentSettings
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookVariant:
      type: object
      properties:
        tagId:
          type: string
          description: Version tag to export
        bookmarkId:
          type: string
          description: Bookmark to export
      description: Workbook variant
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookVariant
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf0Type:
      type: string
      enum:
        - always
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf0Type
      required:
        - type
      description: Always send the export
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Type:
      type: string
      enum:
        - workbook
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf0Type:
      type: string
      enum:
        - isEmpty
      description: Type of condition
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf0Type
          description: Type of condition
        elementId:
          type: string
          description: ID of the element
      required:
        - type
        - elementId
      description: If there's no data
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf1Type:
      type: string
      enum:
        - isNotEmpty
      description: Type of condition
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf1Type
          description: Type of condition
        elementId:
          type: string
          description: ID of the element
      required:
        - type
        - elementId
      description: If there's data
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Type:
      type: string
      enum:
        - column
      description: Type of condition
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Op:
      type: string
      enum:
        - Equals
        - GreaterThan
        - GreaterThanEq
        - LessThan
        - LessThanEq
        - NotEquals
        - IsNull
        - IsNotNull
        - Contains
        - StartsWith
        - EndsWith
      description: Operator
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Op
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Mode:
      type: string
      enum:
        - any
        - all
      description: Kind of condition evaluation
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Mode
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf0Type:
      type: string
      enum:
        - boolean
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf0Type
        value:
          type: boolean
      required:
        - type
        - value
      description: Boolean value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf1Type:
      type: string
      enum:
        - integer
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf1Type
        value:
          type: string
      required:
        - type
        - value
      description: Integer value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf2Type:
      type: string
      enum:
        - text
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf2Type
        value:
          type: string
      required:
        - type
        - value
      description: Text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf3Type:
      type: string
      enum:
        - fixed-date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2ValueOneOf3Type
        date:
          type: string
          description: ISO-8601 date string
      required:
        - type
        - date
      description: Fixed date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value3
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value2
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value3
      description: Column value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Type
          description: Type of condition
        elementId:
          type: string
          description: ID of the element
        columnId:
          type: string
          description: ID of the column
        op:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Op
          description: Operator
        mode:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Mode
          description: Kind of condition evaluation
        value:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value
          description: Column value
      required:
        - type
        - elementId
        - columnId
        - op
        - mode
      description: If a condition is met
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition2
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Type
        condition:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition
      required:
        - type
        - condition
      description: Send the export based on a condition
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions1
      description: Export condition options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf0Type:
      type: string
      enum:
        - boolean
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues00:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf0Type
        value:
          type: boolean
      required:
        - type
        - value
      description: Boolean value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues00
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf1Type:
      type: string
      enum:
        - number
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues01:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf1Type
        value:
          type: number
          format: double
      required:
        - type
        - value
      description: Number value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues01
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf2Type:
      type: string
      enum:
        - text
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues02:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf2Type
        value:
          type: string
      required:
        - type
        - value
      description: Text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues02
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Type:
      type: string
      enum:
        - date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf0Type:
      type: string
      enum:
        - fixed-date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf0Type
        date:
          type: string
          description: ISO-8601 date string
      required:
        - type
        - date
      description: Fixed date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Type:
      type: string
      enum:
        - prior
        - next
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Unit:
      type: string
      enum:
        - year
        - quarter
        - month
        - week
        - isoWeek
        - day
        - hour
        - minute
        - second
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Unit
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Type
        unit:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf1Unit
        x:
          type: number
          format: double
      required:
        - type
        - unit
        - x
      description: Relative date selection, for example "Next 4 days"
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf2Type:
      type: string
      enum:
        - date-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3ValueOneOf2Type
      required:
        - type
      description: Null date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value2
      description: Date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues03:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Type
        value:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value
          description: Date selection
      required:
        - type
        - value
      description: Date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues03
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues0:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues00
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues01
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues02
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues03
      description: Scalar value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Type:
      type: string
      enum:
        - boolean-list
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Value:
      type: object
      properties:
        'true':
          type: boolean
        'false':
          type: boolean
        'null':
          type: boolean
      required:
        - 'true'
        - 'false'
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Value
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Type
        value:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Value
      required:
        - type
        - value
      description: Boolean list value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0Type:
      type: string
      enum:
        - number-list
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf0Type:
      type: string
      enum:
        - number
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf0Type
        value:
          type: number
          format: double
      required:
        - type
        - value
      description: Number value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf1Type:
      type: string
      enum:
        - number-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItemsOneOf1Type
      required:
        - type
      description: Null number value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems1
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues20:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0Type
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems
      required:
        - type
        - value
      description: Number list value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues20
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1Type:
      type: string
      enum:
        - text-list
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf0Type:
      type: string
      enum:
        - text
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf0Type
        value:
          type: string
      required:
        - type
        - value
      description: Text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf1Type:
      type: string
      enum:
        - text-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItemsOneOf1Type
      required:
        - type
      description: Null text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems1
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues21:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1Type
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems
      required:
        - type
        - value
      description: Text list value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues21
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2Type:
      type: string
      enum:
        - date-list
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf0Type:
      type: string
      enum:
        - fixed-date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf0Type
        date:
          type: string
          description: ISO-8601 date string
      required:
        - type
        - date
      description: Fixed date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf1Type:
      type: string
      enum:
        - date-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItemsOneOf1Type
      required:
        - type
      description: Null date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems1
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues22:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2Type
        value:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems
      required:
        - type
        - value
      description: Date list value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues22
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues2:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues20
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues21
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues22
      description: List value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3Type:
      type: string
      enum:
        - hierarchical-list
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItemsType:
      type: string
      enum:
        - text
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItemsType
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItems:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItemsType
        value:
          type: string
      required:
        - type
        - value
      description: Text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItems
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3Type
        value:
          type: array
          items:
            type: array
            items:
              $ref: >-
                #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItems
          description: >-
            Array of hierarchy paths. Each path is an array of segments, from
            the highest selected level of the hierarchy down to the lowest
            selected level of the hierarchy. Each segment is a `{type: "text",
            value: string}` object. For example, a Region/State/City hierarchy
            control with Oakland selected would be represented as
            `[[{"type":"text","value":"West"},
            {"type":"text","value":"California"},
            {"type":"text","value":"Oakland"}]]`
      required:
        - type
        - value
      description: Hierarchical list value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues3
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Type:
      type: string
      enum:
        - date-range
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf0Type:
      type: string
      enum:
        - fixed-date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf0Type
        date:
          type: string
          description: ISO-8601 date string
      required:
        - type
        - date
      description: Fixed date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Type:
      type: string
      enum:
        - prior
        - next
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Unit:
      type: string
      enum:
        - year
        - quarter
        - month
        - week
        - isoWeek
        - day
        - hour
        - minute
        - second
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Unit
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Type
        unit:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf1Unit
        x:
          type: number
          format: double
      required:
        - type
        - unit
        - x
      description: Relative date selection, for example "Next 4 days"
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf2Type:
      type: string
      enum:
        - date-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MinOneOf2Type
      required:
        - type
      description: Null date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min2
      description: Date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf0Type:
      type: string
      enum:
        - fixed-date
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf0Type
        date:
          type: string
          description: ISO-8601 date string
      required:
        - type
        - date
      description: Fixed date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Type:
      type: string
      enum:
        - prior
        - next
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Unit:
      type: string
      enum:
        - year
        - quarter
        - month
        - week
        - isoWeek
        - day
        - hour
        - minute
        - second
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Unit
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Type
        unit:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf1Unit
        x:
          type: number
          format: double
      required:
        - type
        - unit
        - x
      description: Relative date selection, for example "Next 4 days"
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf2Type:
      type: string
      enum:
        - date-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4MaxOneOf2Type
      required:
        - type
      description: Null date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max2
      description: Date selection
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Type
        min:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min
          description: Date selection
        max:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max
          description: Date selection
      required:
        - type
        - min
        - max
      description: Date range value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues4
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf5Type:
      type: string
      enum:
        - number-range
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf5Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf5Type
        min:
          type: number
          format: double
          description: Minimum value of the range
        max:
          type: number
          format: double
          description: Maximum value of the range
      required:
        - type
      description: Number range value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues5
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf0Type:
      type: string
      enum:
        - date-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues60:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf0Type
      required:
        - type
      description: Null date value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues60
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf1Type:
      type: string
      enum:
        - number-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues61:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf1Type
      required:
        - type
      description: Null number value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues61
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf2Type:
      type: string
      enum:
        - text-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues62:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf2Type
      required:
        - type
      description: Null text value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues62
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf3Type:
      type: string
      enum:
        - boolean-null
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues63:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf6OneOf3Type
      required:
        - type
      description: Null boolean value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues63
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues6:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues60
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues61
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues62
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues63
      description: Null value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues6
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues2
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues3
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues4
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues5
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues6
      description: Variable value
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettings:
      type: object
      properties:
        controlValues:
          type: object
          additionalProperties:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues
          description: >-
            This object maps control IDs to the values that they should have
            when exporting the workbook.
      description: Workbook settings
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettings
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2FormattingPivotHeaderStyle:
      type: string
      enum:
        - merged
        - repeated
      description: Style of pivot table headers
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2FormattingPivotHeaderStyle
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2Formatting:
      type: object
      properties:
        pivotHeaderStyle:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2FormattingPivotHeaderStyle
          description: Style of pivot table headers
        includeMetadata:
          type: boolean
          description: Whether to include metadata in XLSX exports
      description: Export formatting options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2Formatting
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2:
      type: object
      properties:
        title:
          type: string
          description: Title of the message
        messageBody:
          type: string
          description: Body of the message
        exportAttachments:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItems
          description: Attachments to include in the export
        exportName:
          type: string
          description: Name of the scheduled export
        includeLink:
          type: boolean
          description: Include a link to the exported workbook
        runAsRecipient:
          type: boolean
          description: Run the export queries as the recipient
        attachmentSettings:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2AttachmentSettings
          description: Export attachment settings
        workbookVariant:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookVariant
          description: Workbook variant
        conditionOptions:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions
          description: Export condition options
        workbookSettings:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettings
          description: Workbook settings
        formatting:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2Formatting
          description: Export formatting options
      required:
        - title
        - messageBody
        - exportAttachments
      description: Configuration settings for the export schedule.
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigV2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf0Type:
      type: string
      enum:
        - CSV
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf0Type
      required:
        - type
      description: CSV export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions0
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf1Type:
      type: string
      enum:
        - JSONL
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf1Type
      required:
        - type
      description: JSONL export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions1
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf2Type:
      type: string
      enum:
        - JSON
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf2Type
      required:
        - type
      description: JSON export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions2
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf3Type:
      type: string
      enum:
        - XLSX
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf3Type
      required:
        - type
      description: XLSX export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions3
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Type:
      type: string
      enum:
        - PDF
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Layout:
      type: string
      enum:
        - portrait
        - landscape
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Layout
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions4:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Type
        layout:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf4Layout
      required:
        - type
      description: PDF export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions4
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf5Type:
      type: string
      enum:
        - PNG
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf5Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions5:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf5Type
      required:
        - type
      description: PNG export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions5
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf6Type:
      type: string
      enum:
        - NONE
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf6Type
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions6:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptionsOneOf6Type
      required:
        - type
      description: No export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions6
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions:
      oneOf:
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions0
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions1
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions2
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions3
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions4
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions5
        - $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions6
      description: Export format options
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions
    V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfig:
      type: object
      properties:
        formatOptions:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfigFormatOptions
          description: Export format options
        title:
          type: string
          description: Title of the message
        messageBody:
          type: string
          description: Body of the message
        includeLink:
          type: boolean
          description: >-
            Whether to include a link to the exported folder or document in the
            body of the message
        runAsRecipient:
          type: boolean
          description: Whether to run the export as if it were being run by the recipient
        rowLimit:
          type: number
          format: double
          description: Maximum number of rows to export
        chartId:
          type: string
          description: Identifier of the chart to export
        parameters:
          type: object
          additionalProperties:
            type: string
          description: >-
            Specify the control ID and control value of one or more control
            elements in the workbook or report to filter the returned data. The
            control must exist in the Sigma workbook or report and target an
            element before you can export based on the control value.


            **Syntax**

            { control-id: control-value }


            The control-id is configured in the Sigma workbook or report. The
            control-value is the value that is passed to the control.


            Values can take multiple forms, depending on the data type of the
            control:


            **Boolean**


            - Single value: "true" | "false" | ":null"

            - List of Boolean: "true,false,:null" (No space after the comma.)


            **Number**


            - Single value: "10.54", ":null"

            - List of values: "10.54,23.45,:null" (No space after the comma.)

            - Range of numbers: "min:10.54,max:23.45" (No space after the comma
            or colon.)


            **Text**


            - Single value: "some-text" | ":null" | ":empty"

            - List of values: "some-text,more-text,:null,:empty" (No space after
            the comma.)


            **Date**


            All dates use UTC time zones.


            - Fixed date using ISO-6801 format: "2022-01-01T01:01:59" | ":null"
                - Formats supported (where: %Y: year, %m: month, %d: day, %H:hours, %M: minutes, %S: seconds):
                    - %Y-%m-%d
                    - %Y-%m-%dT%H:%M
                    - %Y-%m-%dT%H:%M:%S
            - List of fixed dates:
            "2022-01-01T01:01:59,2022-02-02T02:02:59,:null"

            - Relative date: "prior-day-3" | "next-day-3"
                - Format: [prior|next]-[year|quarter|month|week|isoWeek|day|hour|minute]-[number]
            - Date range: "min:2022-01-01T01:01:59,max:next-day-3" (No spaces
            after the comma or colon.)
                - Leave max blank for "on or after" and min blank for "on or before", for example:
                    - "Date-Range": "min:2020-04-01,max:"
                    - "Date-Range": "min:,max:next-day-3"

            **Notes**


            - ":null" is a special value that denotes the null primitive value.

            - ":empty" is a special value that denotes the empty string "".


            Use [URL
            encoding](https://help.sigmacomputing.com/docs/special-characters-for-url-parameters)
            to encode characters in your control values (such as commas) to
            prevent the system from interpreting them as separators.


            For example:

            "New York, NY,Boston, MA" can be encoded as:


            "New%20York%2C%20NY,Boston%2C%20MA"
      required:
        - formatOptions
        - title
        - messageBody
      description: '**[Deprecated]** Configuration settings for the export.'
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostRequestBodyContentApplicationJsonSchemaConfig
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaSchedule:
      type: object
      properties:
        cronSpec:
          type: string
          description: >-
            A [cron expression](https://en.wikipedia.org/wiki/Cron). For
            example, `0 0 * * *`.
        timezone:
          type: string
          description: >-
            An [IANA timezone
            name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones).
            For example, `America/Los_Angeles`.
      required:
        - cronSpec
        - timezone
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaSchedule
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type:
      type: string
      enum:
        - CSV
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf0Type
      required:
        - type
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions0
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type:
      type: string
      enum:
        - JSON
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf1Type
      required:
        - type
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions1
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type:
      type: string
      enum:
        - JSONL
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf2Type
      required:
        - type
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions2
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type:
      type: string
      enum:
        - EXCEL
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf3Type
      required:
        - type
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions3
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Type:
      type: string
      enum:
        - PDF
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Type
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Layout:
      type: string
      enum:
        - portrait
        - landscape
      title: >-
        V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptionsOneOf4Layout
    V2WorkbooksWorkbookIdSchedulesPostResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions4:
      type: object
      properties:
        type:
[...]
